> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/aggregated-rounds

> **Deprecated**. Retrieve the current earliest and latest rounds aggregated for this Scan.

<div class="x2mdx-ref-page x2mdx-ref-page--operation" />

<div className="x2mdx-ref-operation-shell">
  <div className="x2mdx-ref-operation-main">
    <div class="x2mdx-ref-hero">
      <p class="x2mdx-ref-eyebrow">Scan API</p>

      <h1 class="x2mdx-ref-title">GET /v0/aggregated-rounds</h1>

      <div class="x2mdx-ref-badges">
        <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>

        <a class="x2mdx-ref-badge x2mdx-ref-badge--removed" href="#history-deprecated-0-5-10">Deprecated 0.5.10</a>

        <a class="x2mdx-ref-badge x2mdx-ref-badge--removed" href="#history-removed-0-6-7">Removed in 0.6.7</a>
      </div>
    </div>

    <div class="x2mdx-ref-operation-bar">
      <span class="x2mdx-ref-operation-method x2mdx-ref-operation-method--get">GET</span>

      <code>/v0/aggregated-rounds</code>
    </div>

    <p><strong>Removed in 0.6.7.</strong> Historical definition from 0.6.6.</p>

    **Deprecated**. Retrieve the current earliest and latest rounds aggregated for this Scan.

    ## Protocol Details

    <dl class="x2mdx-ref-meta-grid">
      <div class="x2mdx-ref-meta-item">
        <dt>Operation ID</dt>
        <dd>getAggregatedRounds</dd>
      </div>

      <div class="x2mdx-ref-meta-item">
        <dt>Published</dt>
        <dd>0.6.6</dd>
      </div>
    </dl>

    ## Inputs

    ## Outputs

    <div class="x2mdx-ref-panel">
      <div class="x2mdx-ref-panel-head">
        <h3>200</h3>
      </div>

      <div class="x2mdx-ref-badges">
        <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
      </div>

      <div class="x2mdx-ref-fields">
        <div class="x2mdx-ref-field-row">
          <div class="x2mdx-ref-field-main">
            <code class="x2mdx-ref-field-name">start</code>
            <span class="x2mdx-ref-type-badge">integer (int64)</span>

            <span class="x2mdx-ref-required-badge">required</span>
          </div>
        </div>

        <div class="x2mdx-ref-field-row">
          <div class="x2mdx-ref-field-main">
            <code class="x2mdx-ref-field-name">end</code>
            <span class="x2mdx-ref-type-badge">integer (int64)</span>

            <span class="x2mdx-ref-required-badge">required</span>
          </div>
        </div>
      </div>
    </div>

    <div class="x2mdx-ref-panel">
      <div class="x2mdx-ref-panel-head">
        <h3>404</h3>
      </div>

      <div class="x2mdx-ref-badges">
        <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
      </div>

      <div class="x2mdx-ref-fields">
        <div class="x2mdx-ref-field-row">
          <div class="x2mdx-ref-field-main">
            <code class="x2mdx-ref-field-name">error</code>
            <span class="x2mdx-ref-type-badge">string</span>

            <span class="x2mdx-ref-required-badge">required</span>
          </div>
        </div>
      </div>
    </div>

    ## History

    <div class="x2mdx-ref-history" aria-label="Reference history">
      <div class="x2mdx-ref-history-event x2mdx-ref-history-event--removed" id="history-removed-0-6-7">
        <div class="x2mdx-ref-history-event-head">
          <span class="x2mdx-ref-history-event-label">Removed in</span>
          <code class="x2mdx-ref-history-event-version">0.6.7</code>
        </div>

        <p class="x2mdx-ref-history-event-detail">Last available in 0.6.6. Retained for historical reference.</p>
      </div>

      <div class="x2mdx-ref-history-event x2mdx-ref-history-event--deprecated" id="history-deprecated-0-5-10">
        <div class="x2mdx-ref-history-event-head">
          <span class="x2mdx-ref-history-event-label">Deprecated</span>
          <code class="x2mdx-ref-history-event-version">0.5.10</code>
        </div>
      </div>
    </div>
  </div>

  <div className="x2mdx-ref-right-rail" role="complementary" aria-label="Examples and responses">
    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">cURL</span>
        </div>

        ```bash cURL theme={"theme":{"light":"github-light","dark":"github-dark"}}
        curl --request GET \
          --url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds'
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">Python</span>
        </div>

        ```python Python theme={"theme":{"light":"github-light","dark":"github-dark"}}
        import json
        import requests

        url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds"
        response = requests.request("GET", url)

        print(response.text)
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">JavaScript</span>
        </div>

        ```javascript JavaScript theme={"theme":{"light":"github-light","dark":"github-dark"}}
        const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds', {
          method: 'GET',
        });

        console.log(await response.text());
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">PHP</span>
        </div>

        ```php PHP theme={"theme":{"light":"github-light","dark":"github-dark"}}
        <?php
        $curl = curl_init();

        curl_setopt_array($curl, [
            CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_CUSTOMREQUEST => 'GET',
        ]);

        $response = curl_exec($curl);
        echo $response;
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">Go</span>
        </div>

        ```go Go theme={"theme":{"light":"github-light","dark":"github-dark"}}
        package main

        import (
          "fmt"
          "io"
          "net/http"
        )

        func main() {
          req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds", nil)
          response, _ := http.DefaultClient.Do(req)
          defer response.Body.Close()
          body, _ := io.ReadAll(response.Body)
          fmt.Println(string(body))
        }
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">Java</span>
        </div>

        ```java Java theme={"theme":{"light":"github-light","dark":"github-dark"}}
        import java.net.URI;
        import java.net.http.HttpClient;
        import java.net.http.HttpRequest;
        import java.net.http.HttpResponse;

        var request = HttpRequest.newBuilder()
            .uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();
        var response = HttpClient.newHttpClient().send(
            request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">Ruby</span>
        </div>

        ```ruby Ruby theme={"theme":{"light":"github-light","dark":"github-dark"}}
        require 'net/http'
        require 'uri'

        uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/aggregated-rounds')
        request = Net::HTTP::Get.new(uri)
        response = Net::HTTP.start(uri.hostname, uri.port) do |http|
          http.request(request)
        end
        puts response.body
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code x2mdx-ref-rail-code--response">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">200</span>

          <span className="x2mdx-ref-response-label">application/json</span>
        </div>

        ```json 200 theme={"theme":{"light":"github-light","dark":"github-dark"}}
        {
          "start": 123,
          "end": 123
        }
        ```
      </div>
    </div>

    <div className="x2mdx-ref-rail-panel">
      <div className="x2mdx-ref-rail-code x2mdx-ref-rail-code--response">
        <div className="x2mdx-ref-rail-head">
          <span className="x2mdx-ref-rail-heading">404</span>

          <span className="x2mdx-ref-response-label">application/json</span>
        </div>

        ```json 404 theme={"theme":{"light":"github-light","dark":"github-dark"}}
        {
          "error": "<string>"
        }
        ```
      </div>
    </div>
  </div>
</div>
